package models

import "time"

type UserSource struct {
	User                 User      `json:"user" gorm:"foreignKey:ID;references:UserID"`
	UserID               string    `json:"user_id" gorm:"primaryKey"`
	Source               Source    `json:"source" gorm:"foreignKey:ID;references:SourceID"`
	SourceID             string    `json:"source_id" gorm:"primaryKey"`
	ScrapeTimeInterval   string    `json:"scrape_time_interval"`
	AccountUsername      string    `json:"account_username"`
	AccountID            string    `json:"account_id"`
	LastScrapeTime       time.Time `json:"last_scrape_time"`
	AccountValidate      bool      `json:"account_validate"`
	AccountValidationKey string    `json:"-"`
}

func (UserSource) TableName() string {
	return "UserSource"
}
